#ifndef _CONFIG_H
#define _CONFIG_H

#include "fetch.h"

typedef struct {
	char *title;
	int (*func)(const char *title, const FETCH fetch);
} PARAMETR;

/* Config, EDIT THERE */
#define FONT_COLOR "\033[1;37m"
#define PC_CHAR "%"

#ifdef _MAIN_H
PARAMETR CONFIG[] = {
	{"     OS  ", PrintOs},
	{" KERNEL  ", GetKernel},
	{"   USER  ", GetUser},
	{" UPTIME  ", GetUptime},
	{"   ARCH  ", GetArch},
	{"  SHELL  ", GetShell},
	{"   PKGS  ", GetPkg},
	{"    MEM  ", GetMem},
	{"         ", Blank},
	{" COLORS  ", PrintColors}
};

#endif

#endif
